import java.io.IOException;
import java.io.RandomAccessFile;
import java.util.LinkedList;
import java.util.StringTokenizer;

class Map
{
	Map()
	{
		points = new LinkedList();
		connections = new LinkedList();
	}

	private LinkedList points;
	private LinkedList connections;

	public void readMap()
	{
		RandomAccessFile file = null;
		String line = null;
		String[] tmp = new String[3];
		int tmpInt[] = new int[3];

		// read-in points
		try	{
			file = new RandomAccessFile("points", "r");
		}
		catch (IOException e)
		{
			e.printStackTrace();
		}

		do
		{
			try	{
				line = file.readLine();
			}
			catch (IOException e) {
				e.printStackTrace();
			}
	
			if (line != null)
			{
//				System.out.println(line);

				StringTokenizer st = new StringTokenizer(line, ": ,");
				tmp[0] = st.nextToken();	// id
				tmp[1] = st.nextToken();	// x
				tmp[2] = st.nextToken();	// y

				tmpInt[0] = Integer.parseInt(tmp[0]);
				tmpInt[1] = Integer.parseInt(tmp[1]);
				tmpInt[2] = Integer.parseInt(tmp[2]);

				points.add(new Point(tmpInt[0], tmpInt[1], tmpInt[2]));
			}
		}
		while (line != null);
//		System.out.println();


		// read-in connections

		try	{
			file.close();
		}
		catch (IOException e)	{
			e.printStackTrace();
		}

		try	{
			file = new RandomAccessFile("connections", "r");
		}
		catch (IOException e)
		{
			e.printStackTrace();
		}

		do
		{
			LinkedList tmpLst = new LinkedList();
			try	{
				line = file.readLine();
			}
			catch (IOException e) {
				e.printStackTrace();
			}
	
			if (line != null)
			{
//				System.out.println(line);

				StringTokenizer st = new StringTokenizer(line, ":,");
				tmp[0] = st.nextToken();
				tmpInt[0] = Integer.parseInt(tmp[0]);

				while (st.hasMoreTokens())
				{
					tmp[1] = st.nextToken();
					tmpInt[1] = Integer.parseInt(tmp[1]);
					tmpLst.add(new Integer(tmpInt[1]));
				}

				connections.add(new Connection(new Integer(tmpInt[0]), tmpLst));
			}
		}
		while (line != null);
	}
	public LinkedList getConnections(){
		return connections;
	}
	public LinkedList getPoints(){
		return points;
	}
}